# End Users

## List end users

 - [GET /v1/endusers](https://docs.dixa.io/openapi/dixa-api/v1/end-users/getendusers.md): Lists all end users in an organization. It is possible to filter by one of the mutually exclusive parameters: email or phone number. In case both are provided, an error is returned. Note: Custom attributes are not part of the response at this point. If you need to get custom attributes for a user use the GET /endusers/{userId} endpoint

## Update end users

 - [PUT /v1/endusers](https://docs.dixa.io/openapi/dixa-api/v1/end-users/putendusers.md): Bulk update end users.

## Create end user

 - [POST /v1/endusers](https://docs.dixa.io/openapi/dixa-api/v1/end-users/postendusers.md): Create an end user.

## Patch end users

 - [PATCH /v1/endusers](https://docs.dixa.io/openapi/dixa-api/v1/end-users/patchendusers.md): Bulk patch end users.

## Create end users

 - [POST /v1/endusers/bulk](https://docs.dixa.io/openapi/dixa-api/v1/end-users/postendusersbulk.md): Create multiple end users in a single bulk action

## Get end user

 - [GET /v1/endusers/{userId}](https://docs.dixa.io/openapi/dixa-api/v1/end-users/getendusersuserid.md): Get an end user by id.

## Update end user

 - [PUT /v1/endusers/{userId}](https://docs.dixa.io/openapi/dixa-api/v1/end-users/putendusersuserid.md): Update an end user.

## Patch end user

 - [PATCH /v1/endusers/{userId}](https://docs.dixa.io/openapi/dixa-api/v1/end-users/patchendusersuserid.md): Patch an end user.

## Anonymize end user

 - [PATCH /v1/endusers/{userId}/anonymize](https://docs.dixa.io/openapi/dixa-api/v1/end-users/patchendusersuseridanonymize.md): Request the anonymization of an end user.

## Patch end user custom attributes

 - [PATCH /v1/endusers/{userId}/custom-attributes](https://docs.dixa.io/openapi/dixa-api/v1/end-users/patchendusersuseridcustom-attributes.md): Patch custom attributes of an end user

## List end user conversations

 - [GET /v1/endusers/{userId}/conversations](https://docs.dixa.io/openapi/dixa-api/v1/end-users/getendusersuseridconversations.md): Lists conversations requested by an end user.  Note: Custom attributes are not part of the response at this point. If you need to get custom attributes for a conversation use the GET /conversations/{conversationId} endpoint

## Create end user

 - [POST /v1/endusers](https://docs.dixa.io/openapi/dixa-api/v1/chatbots/postendusers.md): Create an end user.

## Get end user

 - [GET /v1/endusers/{userId}](https://docs.dixa.io/openapi/dixa-api/v1/chatbots/getendusersuserid.md): Get an end user by id.

## List end user conversations

 - [GET /v1/endusers/{userId}/conversations](https://docs.dixa.io/openapi/dixa-api/v1/chatbots/getendusersuseridconversations.md): Lists conversations requested by an end user.  Note: Custom attributes are not part of the response at this point. If you need to get custom attributes for a conversation use the GET /conversations/{conversationId} endpoint

## Anonymize end user

 - [PATCH /v1/endusers/{userId}/anonymize](https://docs.dixa.io/openapi/dixa-api/v1/anonymization/patchendusersuseridanonymize.md): Request the anonymization of an end user.

## Patch end user custom attributes

 - [PATCH /v1/endusers/{userId}/custom-attributes](https://docs.dixa.io/openapi/dixa-api/v1/custom-attributes/patchendusersuseridcustom-attributes.md): Patch custom attributes of an end user

